> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Execution Metadata

> Returns task and version metadata for an execution. When the execution ran in a
browser session, also includes raw network-recorder and browser-action artifacts.




## OpenAPI

````yaml /openapi.yaml get /v1/executions/{executionId}/metadata
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/executions/{executionId}/metadata:
    get:
      tags:
        - Executions
      summary: Get Execution Metadata
      description: >
        Returns task and version metadata for an execution. When the execution
        ran in a

        browser session, also includes raw network-recorder and browser-action
        artifacts.
      parameters:
        - name: executionId
          in: path
          required: true
          description: The execution result ID.
          schema:
            type: string
      responses:
        '200':
          description: Execution metadata retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      taskId:
                        type: string
                      taskVersionId:
                        type: string
                      taskVersion:
                        type: string
                      taskVersionDescription:
                        type: string
                        nullable: true
                      taskDescription:
                        type: string
                        nullable: true
                      taskCode:
                        type: string
                      taskCreatedAt:
                        type: string
                        nullable: true
                      taskUpdatedAt:
                        type: string
                        nullable: true
                      taskVersionInputSchema:
                        type: array
                        nullable: true
                        items:
                          type: object
                        description: Task input parameter definitions.
                      taskVersionOutputSchema:
                        type: array
                        nullable: true
                        items:
                          type: object
                        description: Task output parameter definitions.
                      taskExecutionStatus:
                        type: string
                      taskExecutionBrowserSessionId:
                        type: string
                        nullable: true
                      taskExecutionOutput:
                        type: string
                        nullable: true
                      taskExecutionErrorMessage:
                        type: string
                        nullable: true
                      taskExecutionStartTime:
                        type: string
                        nullable: true
                      taskExecutionExecutionTime:
                        type: number
                        nullable: true
                      taskExecutionInputs:
                        type: object
                        nullable: true
                        additionalProperties: true
                  taskExecutionNetworkAndBrowserActions:
                    type: object
                    description: Present only when the execution ran in a browser session.
                    properties:
                      networkRecorderJsonl:
                        type: string
                        nullable: true
                      browserActionsJson:
                        type: string
                        nullable: true
        '404':
          description: Execution or metadata not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to get execution metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````